#include <stdio.h>
#include <string>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <string>
#include <cstring>
#include <vector>

using namespace std;

vector<string> split(string &s, const char &c)
{
    string buffer{""};

    vector<string> resultado;

    for (char caractere : s)
    {
        if (caractere != c)
        {
            buffer += caractere;
        }
        else
        {
            resultado.push_back(buffer);
            buffer = "";
        }
    }
    if (buffer != "")
    {
        resultado.push_back(buffer);
        buffer = "";
    }

    return resultado;
}

int main()
{

    string linha;

    while (true)
    {
        getline(cin, linha);
        if (linha == "0")
        {
            break;
        }

        vector<string> temp = split(linha, ' ');

        int d1 = atoi(temp[0].c_str());
        int d2 = atoi(temp[1].c_str());
        int d3 = atoi(temp[2].c_str());
        int a11 = atoi(temp[3].c_str());
        int a12 = atoi(temp[4].c_str());
        int a21 = atoi(temp[5].c_str());
        int a22 = atoi(temp[6].c_str());
        int a23 = atoi(temp[7].c_str());

        int media = d1 + d2 + d3 + (int)((a11 + a12) / 2) + (int)((a21 + a22 + a23) / 3);

        if (media < 60)
        {
            cout << "Aluno reprovado com nota: " << media << "\n";
        }
        else
        {
            cout << "Aluno aprovado com nota: " << media << "\n";
        }
    }
    return 0;
}